Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1488749 - kernel BUG at lib/list_debug.c:53!
Summary: kernel BUG at lib/list_debug.c:53!
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 07:45 UTC by Toon Verstraelen
Modified: 2018-08-27 11:21 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:23:29 UTC
Type: Bug
toon.verstraelen: needinfo-


Attachments (Terms of Use)

Description Toon Verstraelen 2017-09-06 07:45:19 UTC
Description of problem:

Machine freeze while not using it.

Version-Release number of selected component (if applicable):

uname -smor
Linux 4.12.9-300.fc26.x86_64 x86_64 GNU/Linux

How reproducible:

No idea.

Additional info:

This is the relevant output from journalctl:

Sep 06 00:16:15 hostname kernel: ------------[ cut here ]------------
Sep 06 00:16:15 hostname kernel: kernel BUG at lib/list_debug.c:53!
Sep 06 00:16:15 hostname kernel: invalid opcode: 0000 [#1] SMP
Sep 06 00:16:15 hostname kernel: Modules linked in: dm_crypt vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc iTCO_wdt iTCO_vendor_support coretemp kvm_intel snd_hda_codec_via snd_hda_codec_generic snd_hda_codec_hdmi kvm snd_hda_intel snd_hda_codec snd_hda_core irqbypass snd_hwdep snd_seq snd_seq_device
Sep 06 00:16:15 hostname kernel:  snd_pcm i2c_i801 lpc_ich snd_timer snd soundcore acpi_cpufreq asus_atk0110 shpchp tpm_tis tpm_tis_core tpm uas usb_storage amdkfd amd_iommu_v2 radeon i2c_algo_bit serio_raw drm_kms_helper ttm r8169 ata_generic drm pata_acpi mii pata_jmicron
Sep 06 00:16:15 hostname kernel: CPU: 3 PID: 61 Comm: kswapd0 Tainted: G           OE   4.12.8-300.fc26.x86_64 #1
Sep 06 00:16:15 hostname kernel: Hardware name: System manufacturer System Product Name/P5Q SE PLUS, BIOS 2202    06/23/2009
Sep 06 00:16:15 hostname kernel: task: ffff9b2f255d0000 task.stack: ffffc1828102c000
Sep 06 00:16:15 hostname kernel: RIP: 0010:__list_del_entry_valid+0x78/0x90
Sep 06 00:16:15 hostname kernel: RSP: 0018:ffffc1828102fb78 EFLAGS: 00010286
Sep 06 00:16:15 hostname kernel: RAX: 0000000000000054 RBX: ffff9b2d33bd1500 RCX: 0000000000000000
Sep 06 00:16:15 hostname kernel: RDX: 0000000000000000 RSI: ffff9b2f2fd8e128 RDI: ffff9b2f2fd8e128
Sep 06 00:16:15 hostname kernel: RBP: ffffc1828102fb78 R08: 0000000000003c01 R09: 0000000000000004
Sep 06 00:16:15 hostname kernel: R10: ffffc1828102f980 R11: ffffffff99311b6f R12: ffff9b2d33bd1620
Sep 06 00:16:15 hostname kernel: R13: ffffffffc0790ac0 R14: ffff9b2d33bd1588 R15: ffff9b2d16a40d18
Sep 06 00:16:15 hostname kernel: FS:  0000000000000000(0000) GS:ffff9b2f2fd80000(0000) knlGS:0000000000000000
Sep 06 00:16:15 hostname kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Sep 06 00:16:15 hostname kernel: CR2: 000000fbf000afe8 CR3: 000000014dc8a000 CR4: 00000000000406e0
Sep 06 00:16:15 hostname kernel: Call Trace:
Sep 06 00:16:15 hostname kernel:  evict+0x80/0x190
Sep 06 00:16:15 hostname kernel:  iput+0x147/0x210
Sep 06 00:16:15 hostname kernel:  dentry_unlink_inode+0xd5/0x130
Sep 06 00:16:15 hostname kernel:  __dentry_kill+0xc9/0x150
Sep 06 00:16:15 hostname kernel:  shrink_dentry_list+0xf0/0x2a0
Sep 06 00:16:15 hostname kernel:  prune_dcache_sb+0x5a/0x80
Sep 06 00:16:15 hostname kernel:  super_cache_scan+0x101/0x1b0
Sep 06 00:16:15 hostname kernel:  shrink_slab.part.45+0x1d6/0x3d0
Sep 06 00:16:15 hostname kernel:  shrink_slab+0x1b/0x30
Sep 06 00:16:15 hostname kernel:  shrink_node+0x11e/0x300
Sep 06 00:16:15 hostname kernel:  kswapd+0x2cc/0x750
Sep 06 00:16:15 hostname kernel:  kthread+0x125/0x140
Sep 06 00:16:15 hostname kernel:  ? mem_cgroup_shrink_node+0x180/0x180
Sep 06 00:16:15 hostname kernel:  ? kthread_park+0x60/0x60
Sep 06 00:16:15 hostname kernel:  ret_from_fork+0x25/0x30
Sep 06 00:16:15 hostname kernel: Code: 98 e8 2e 84 d8 ff 0f 0b 48 89 fe 48 c7 c7 c0 e8 cb 98 e8 1d 84 d8 ff 0f 0b 48 89 f2 48 89 fe 48 c7 c7 f8 e8 cb 98 e8 09 84 d8 ff <0f> 0b 48 c7 c7 38 e9 cb 98 e8 fb 83 d8 ff 0f 0b 0f 1f 84 00 00 
Sep 06 00:16:15 hostname kernel: RIP: __list_del_entry_valid+0x78/0x90 RSP: ffffc1828102fb78


I also see a lot errors like this one:

Sep 06 00:06:16 hostname kernel: sd 6:0:0:0: [sdd] tag#0 FAILED Result: hostbyte=DID_ERROR driverbyte=DRIVER_SENSE
Sep 06 00:06:17 hostname kernel: sd 6:0:0:0: [sdd] tag#0 Sense Key : Hardware Error [current] [descriptor] 
Sep 06 00:06:17 hostname kernel: sd 6:0:0:0: [sdd] tag#0 Add. Sense: No additional sense information
Sep 06 00:06:17 hostname kernel: sd 6:0:0:0: [sdd] tag#0 CDB: ATA command pass through(16) 85 06 20 00 00 00 00 00 00 00 00 00 00 00 e5 00

Comment 1 Laura Abbott 2017-09-06 21:04:36 UTC
Can you reproduce this issue without the virtualbox drivers loaded?

Comment 2 Toon Verstraelen 2017-09-07 07:40:03 UTC
I have uninstalled them but I have way to trigger the freeze I had. I just happened spontaneously over night. Do you have any suggestions on how to induce it?

Besides, is there a recommended way of installing VirtualBox, as to minimize this kind of issues? (I will need it again at some point to prepare VMs for training purposes.)

Comment 3 Toon Verstraelen 2017-09-07 07:40:55 UTC
I meant to say "I have no way to trigger it."

Comment 4 Laura Abbott 2018-02-28 03:45:28 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 5 Fedora End Of Life 2018-05-03 07:58:28 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 11:23:29 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.